<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <AspNetCoreHostingModel>InProcess</AspNetCoreHostingModel>
    <CopyLocalLockFileAssemblies>true</CopyLocalLockFileAssemblies>
    <UserSecretsId>fc9c5658-073f-4fee-bf04-e2dc123ce547</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <ServerGarbageCollection>true</ServerGarbageCollection>
    <ConcurrentGarbageCollection>false</ConcurrentGarbageCollection>
    <ApplicationIcon />
    <OutputType>Exe</OutputType>
    <StartupObject />
    <Platforms>AnyCPU;x64;x86</Platforms>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>bin\Debug\netcoreapp3.0\APT.WebApi.xml</DocumentationFile>
    <PlatformTarget>x64</PlatformTarget>
    <OutputPath></OutputPath>
    <WarningLevel>0</WarningLevel>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
    <DocumentationFile>bin\Debug\netcoreapp3.0\APT.WebApi.xml</DocumentationFile>
    <PlatformTarget>x64</PlatformTarget>
    <OutputPath />
    <WarningLevel>0</WarningLevel>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <DocumentationFile>bin\Debug\netcoreapp3.0\APT.WebApi.xml</DocumentationFile>
    <PlatformTarget>x64</PlatformTarget>
    <OutputPath />
    <WarningLevel>0</WarningLevel>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <WarningLevel>0</WarningLevel>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
    <WarningLevel>0</WarningLevel>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <WarningLevel>0</WarningLevel>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Connected Services\LcpProductLine\**" />
    <Compile Remove="Connected Services\SyncLcpProductLine\**" />
    <Compile Remove="Controllers\Api - 复制\**" />
    <Compile Remove="Controllers\Api\BD\**" />
    <Compile Remove="Providers\**" />
    <Compile Remove="wwwroot\**" />
    <Content Remove="Connected Services\LcpProductLine\**" />
    <Content Remove="Connected Services\SyncLcpProductLine\**" />
    <Content Remove="Controllers\Api - 复制\**" />
    <Content Remove="Controllers\Api\BD\**" />
    <Content Remove="Providers\**" />
    <Content Remove="wwwroot\**" />
    <EmbeddedResource Remove="Connected Services\LcpProductLine\**" />
    <EmbeddedResource Remove="Connected Services\SyncLcpProductLine\**" />
    <EmbeddedResource Remove="Controllers\Api - 复制\**" />
    <EmbeddedResource Remove="Controllers\Api\BD\**" />
    <EmbeddedResource Remove="Providers\**" />
    <EmbeddedResource Remove="wwwroot\**" />
    <None Remove="Connected Services\LcpProductLine\**" />
    <None Remove="Connected Services\SyncLcpProductLine\**" />
    <None Remove="Controllers\Api - 复制\**" />
    <None Remove="Controllers\Api\BD\**" />
    <None Remove="Providers\**" />
    <None Remove="wwwroot\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="App_Start\Startup.Auth.cs" />
    <Compile Remove="Controllers\Api\EnergyConsuConfController.cs" />
    <Compile Remove="Controllers\Api\PersonController.cs" />
    <Compile Remove="Controllers\Api\PlanParamController.cs" />
    <Compile Remove="Controllers\Api\ProcessController.cs" />
    <Compile Remove="Controllers\Api\ProcessDetailController.cs" />
    <Compile Remove="Controllers\Api\ProcessPlatformController.cs" />
    <Compile Remove="Controllers\Api\ProductCategoryController.cs" />
    <Compile Remove="Controllers\Api\ProductController.cs" />
    <Compile Remove="Controllers\Api\ProductProcessController.cs" />
    <Compile Remove="Controllers\Api\ProductProcessDetailController.cs" />
    <Compile Remove="Controllers\Api\SrcTagController.cs" />
    <Compile Remove="Controllers\Api\VarController.cs" />
    <Compile Remove="Controllers\Api\WorkCalendarController.cs" />
    <Compile Remove="Controllers\Api\WorkStageCalendarController.cs" />
    <Compile Remove="Controllers\Api\WorkStageController.cs" />
    <Compile Remove="Controllers\Api\WorkStageDetailsController.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Autofac" Version="5.1.2" />
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="6.0.0" />
    <PackageReference Include="IdentityModel" Version="5.0.0" />
    <PackageReference Include="log4net" Version="2.0.13" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="5.0.2" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="5.0.2" />
    <PackageReference Include="Microsoft.AspNetCore.Razor.Design" Version="2.2.0" PrivateAssets="All" />
    <PackageReference Include="Microsoft.AspNetCore.ResponseCompression" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.StaticFiles" Version="2.2.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.12">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.12">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="5.0.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="5.0.0" />
    <PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="5.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.7.9" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="5.0.1" />
    <PackageReference Include="MySql.Data.EntityFrameworkCore" Version="8.0.19" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Oracle.EntityFrameworkCore" Version="5.21.4" />
    <PackageReference Include="StackExchange.Redis" Version="2.2.88" />
    <PackageReference Include="System.Linq.Dynamic.Core" Version="1.2.14" />
    <PackageReference Include="System.ServiceModel.Duplex" Version="4.4.*" />
    <PackageReference Include="System.ServiceModel.Http" Version="4.4.*" />
    <PackageReference Include="System.ServiceModel.NetTcp" Version="4.4.*" />
    <PackageReference Include="System.ServiceModel.Security" Version="4.4.*" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="App_Start\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="Controllers\Api\T4\T4Control.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>T4Control.tt</DependentUpon>
    </None>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\APT.BaseData.Domain\APT.BaseData.Domain.csproj" />
    <ProjectReference Include="..\..\APT.BaseData.Services\APT.BaseData.Services.csproj" />
    <ProjectReference Include="..\..\APT.Data.Migrations\APT.Data.Migrations.csproj" />
    <ProjectReference Include="..\..\APT.Utility\APT.Utility.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="APT.Infrastructure.Api">
      <HintPath>..\..\dll\APT.Infrastructure.Api.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.Core">
      <HintPath>..\..\dll\APT.Infrastructure.Core.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.EF">
      <HintPath>..\..\dll\APT.Infrastructure.EF.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <WCFMetadata Include="Connected Services" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Controllers\Api\T4\T4Control.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>T4Control.cs</LastGenOutput>
    </None>
    <None Update="docker-compose_bak.yml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="docker-compose.yml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Dockerfile">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Message.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Service Include="{508349b6-6b84-4df5-91f0-309beebad82d}" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Controllers\Api\T4\T4Control.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>T4Control.tt</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.Production.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties appsettings_1json__JSONSchema="" /></VisualStudio></ProjectExtensions>

</Project>
